"use strict";
var _a;
require("../../common/libraries/request.js");
require("../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
const common_libraries_day = require("../../common/libraries/day.js");
const common_vendor = require("../../common/vendor.js");
const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
const useModel = {
  devicePosition: common_vendor.ref("back"),
  time: common_vendor.ref(common_libraries_day.showCurrentTime()),
  day: common_vendor.ref(common_libraries_day.getDay()),
  weekDay: common_vendor.ref(common_libraries_day.showWeekDay()),
  address: common_vendor.ref({ address: "暂无地址", formatted_address: "暂无地址" }),
  userInfo: common_vendor.ref((_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.user),
  source: common_vendor.ref("save")
};
exports.useModel = useModel;
